CVE-2003-0202
CVSS4.6
发布时间 :2004-04-15 00:00:00
修订时间 :2008-09-05 16:33:44
NMCOS    

[原文]The (1) halstead and (2) gather_stats scripts in metrics 1.0 allow local users to overwrite arbitrary files via a symlink attack on temporary files.


[CNNVD]Metrics不安全本地文件创建漏洞(CNNVD-200404-061)

        metrics 1.0版本中的(1) halstead和(2) gather_stats 脚本存在漏洞。本地用户可以通过临时文件上的链接攻击来覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0202
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0202
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-061
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-279
(VENDOR_ADVISORY)  DEBIAN  DSA-279
http://xforce.iss.net/xforce/xfdb/11734
(VENDOR_ADVISORY)  XF  metrics-tmpfile-symlink(11734)
http://www.securityfocus.com/bid/7293
(VENDOR_ADVISORY)  BID  7293

- 漏洞信息

Metrics不安全本地文件创建漏洞
中危 其他
2004-04-15 00:00:00 2005-10-20 00:00:00
本地  
        metrics 1.0版本中的(1) halstead和(2) gather_stats 脚本存在漏洞。本地用户可以通过临时文件上的链接攻击来覆盖任意文件。

- 公告与补丁

        Debian has released a security advisory (DSA 279-1) containing fixes. Further information on how to obtain and apply fixes can be found in the attached advisory.
        Metrics Metrics 1.0
        

- 漏洞信息

13390
metrics halstead Script Symlink Arbitrary File Overwrite
Local Access Required Race Condition

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-04-07 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Metrics Insecure Local File Creation Vulnerability
Atomicity Error 7293
No Yes
2003-04-07 12:00:00 2009-07-11 09:06:00
The discovery of this vulnerability has been credited to Paul Szabo and Matt Zimmerman.

- 受影响的程序版本

Metrics Metrics 1.0
+ Debian Linux 2.2 pre potato
+ Debian Linux 2.2 sparc
+ Debian Linux 2.2 powerpc
+ Debian Linux 2.2 IA-32
+ Debian Linux 2.2 arm
+ Debian Linux 2.2 alpha
+ Debian Linux 2.2 68k

- 漏洞讨论

A vulnerability has been discovered in Metrics which could allow an attacker to corrupt sensitive system files. The problem occurs due to the program failing to carry out sufficient security precautions when creating temporary files.

A local attacker could exploit this vulnerability to corrupt sensitive system files.

This vulnerability was discovered in Metrics version 1.0 however, earlier versions may also be affected.

- 漏洞利用

No exploit is required.

- 解决方案

Debian has released a security advisory (DSA 279-1) containing fixes. Further information on how to obtain and apply fixes can be found in the attached advisory.


Metrics Metrics 1.0

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站